local function onInit()

	electrics.values.transbrake = 0

end

local function onReset()

	onInit()

end

local function updateGFX(dt)

	if electrics.values['rpm'] < 2500 then
	electrics.values['run'] = 0
	else
	electrics.values['run'] = 1
	end

	if electrics.values.transbrake == 1 then
	powertrain.getDevice("gearbox"):setLock(true)
	end

	if electrics.values.transbrake == 0 then
	powertrain.getDevice("gearbox"):setLock(false)
	end

end

-- public interface

local M = {}
M.onInit = onInit
M.onReset = onReset
M.updateGFX = updateGFX
return M