singleton Material(chassis_txt)
{
    mapTo = "chassis_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "chassis_c.png";
    specularMap[2] = "chassis_s.png";
    normalMap[2] = "chassis_n.png";
    diffuseMap[1] = "chassis.png";
    specularMap[1] = "chassis_s.png";
    normalMap[1] = "chassis_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "chassis_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_glass)
{
    mapTo = "coupe_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_glass_d.dds";
    opacityMap[0] = "vehicles/coupe/coupe_glass_d.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_glass_int)
{
    mapTo = "coupe_glass_int";
    diffuseMap[0] = "vehicles/coupe/coupe_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_glass_dmg)
{
    mapTo = "coupe_glass_dmg";
    diffuseMap[0] = "vehicles/coupe/coupe_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/coupe/coupe_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_windshield_dmg)
{
    mapTo = "coupe_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(doors_txt)
{
    mapTo = "doors_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "fl_door_c.png";
    specularMap[2] = "fl_door_s.png";
    normalMap[2] = "fl_door_n.png";
    diffuseMap[1] = "fl_door.png";
    specularMap[1] = "fl_door_s.png";
    normalMap[1] = "fl_door_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "fl_door_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(doors_u_txt)
{
    mapTo = "doors_u_txt";
    overlayMap[2] = "door_u.png";
    diffuseMap[2] = "fl_door_c.png";
    specularMap[2] = "fl_door_s.png";
    normalMap[2] = "fl_door_n.png";
    diffuseMap[1] = "fl_door.png";
    specularMap[1] = "fl_door_s.png";
    normalMap[1] = "fl_door_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "fl_door_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sideskirt_old_TXT)
{
    mapTo = "sideskirt_old_TXT";
    overlayMap[2] = "Sideskirt_U.png";
    diffuseMap[2] = "chassis_c.png";
    specularMap[2] = "chassis_s.png";
    normalMap[2] = "chassis_n.png";
    diffuseMap[1] = "chassis.png";
    specularMap[1] = "chassis_s.png";
    normalMap[1] = "chassis_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "chassis_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sideskirt_vents_old_TXT)
{
    mapTo = "sideskirt_vents_old_TXT";
    overlayMap[2] = "vent_u.png";
    diffuseMap[2] = "chassis_c.png";
    specularMap[2] = "chassis_s.png";
    normalMap[2] = "chassis_n.png";
    diffuseMap[1] = "chassis.png";
    specularMap[1] = "chassis_s.png";
    normalMap[1] = "chassis_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "chassis_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bumper_F_u_TXT)
{
    mapTo = "bumper_F_u_TXT";
    overlayMap[2] = "F_bumper_u.png";
    diffuseMap[2] = "chassis_c.png";
    specularMap[2] = "chassis_s.png";
    normalMap[2] = "chassis_n.png";
    diffuseMap[1] = "chassis.png";
    specularMap[1] = "chassis_s.png";
    normalMap[1] = "chassis_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "chassis_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bumper_R_u_TXT)
{
    mapTo = "bumper_R_u_TXT";
    overlayMap[2] = "R_bumper_u.png";
    diffuseMap[2] = "chassis_c.png";
    specularMap[2] = "chassis_s.png";
    normalMap[2] = "chassis_n.png";
    diffuseMap[1] = "chassis.png";
    specularMap[1] = "chassis_s.png";
    normalMap[1] = "chassis_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "chassis_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(rust_eng_int_TXT)
{
    mapTo = "rust_eng_int_TXT";
    overlayMap[2] = "door_u.png";
    diffuseMap[2] = "fl_door_c.png";
    specularMap[2] = "fl_door_s.png";
    normalMap[2] = "fl_door_n.png";
    diffuseMap[1] = "fl_door.png";
    specularMap[1] = "fl_door_s.png";
    normalMap[1] = "fl_door_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "fl_door_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(allrust_TXT)
{
    mapTo = "allrust_TXT";
    overlayMap[2] = "allrust.png";
    diffuseMap[2] = "chassis_c.png";
    specularMap[2] = "chassis_s.png";
    normalMap[2] = "chassis_n.png";
    diffuseMap[1] = "chassis.png";
    specularMap[1] = "chassis_s.png";
    normalMap[1] = "chassis_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "chassis_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hood_txt)
{
    mapTo = "hood_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "Hood_c.png";
    specularMap[2] = "Hood_s.png";
    normalMap[2] = "Hood_n.png";
    diffuseMap[1] = "Hood.png";
    specularMap[1] = "Hood_s.png";
    normalMap[1] = "Hood_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "Hood_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hood_u_txt)
{
    mapTo = "hood_u_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    overlayMap[2] = "Hood_u.png";
    diffuseMap[2] = "Hood_c.png";
    specularMap[2] = "Hood_s.png";
    normalMap[2] = "Hood_n.png";
    diffuseMap[1] = "Hood.png";
    specularMap[1] = "Hood_s.png";
    normalMap[1] = "Hood_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "Hood_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fender_txt)
{
    mapTo = "fender_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "Fender_c.png";
    specularMap[2] = "Fender_s.png";
    normalMap[2] = "Fender_n.png";
    diffuseMap[1] = "Fender.png";
    specularMap[1] = "Fender_s.png";
    normalMap[1] = "Fender_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "Fender_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(fender_u_txt)
{
    mapTo = "fender_u_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    overlayMap[2] = "Fender_u.png";
    diffuseMap[2] = "Fender_c.png";
    specularMap[2] = "Fender_s.png";
    normalMap[2] = "Fender_n.png";
    diffuseMap[1] = "Fender.png";
    specularMap[1] = "Fender_s.png";
    normalMap[1] = "Fender_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "Fender_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tailgate_txt)
{
    mapTo = "tailgate_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "trunk_c.png";
    specularMap[2] = "trunk_s.png";
    normalMap[2] = "trunk_n.png";
    diffuseMap[1] = "trunk.png";
    specularMap[1] = "trunk_s.png";
    normalMap[1] = "trunk_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "trunk_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tailgate_u_txt)
{
    mapTo = "tailgate_u_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    overlayMap[2] = "trunk_u.png";
    diffuseMap[2] = "trunk_c.png";
    specularMap[2] = "trunk_s.png";
    normalMap[2] = "trunk_n.png";
    diffuseMap[1] = "trunk.png";
    specularMap[1] = "trunk_s.png";
    normalMap[1] = "trunk_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "trunk_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(CUSCO_F_swaybar_txt)
{
    mapTo = "CUSCO_F_swaybar_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "CUSCO_F_swaybar_c.png";
    specularMap[2] = "CUSCO_F_swaybar_s.png";
    normalMap[2] = "CUSCO_F_swaybar_n.png";
    diffuseMap[1] = "CUSCO_F_swaybar.png";
    specularMap[1] = "CUSCO_F_swaybar_s.png";
    normalMap[1] = "CUSCO_F_swaybar_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "CUSCO_F_swaybar_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(Cusco_R_bar_txt)
{
    mapTo = "Cusco_R_bar_txt";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
    diffuseMap[2] = "Cusco_R_bar_c.png";
    specularMap[2] = "Cusco_R_bar_s.png";
    normalMap[2] = "Cusco_R_bar_n.png";
    diffuseMap[1] = "Cusco_R_bar.png";
    specularMap[1] = "Cusco_R_bar_s.png";
    normalMap[1] = "Cusco_R_bar_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "Cusco_R_bar_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(HKS_muffler_txt)
{
    mapTo = "HKS_muffler_txt";
	diffuseMap[0] = "HKS_muffler.png";
    //specularMap[0] = "HKS_muffler_s.png";
    //normalMap[0] = "HKS_muffler_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(muffler_stock_txt)
{
    mapTo = "muffler_stock_txt";
	diffuseMap[0] = "muffler_1.png";
    //specularMap[0] = "muffler_1_s.png";
    //normalMap[0] = "muffler_1_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(Greddy_muffler_txt)
{
    mapTo = "Greddy_muffler_txt";
	diffuseMap[0] = "Greddy_muffler.png";
    //specularMap[0] = "Greddy_muffler_s.png";
    //normalMap[0] = "Greddy_muffler_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(prasu_steeringwheel)
{
    mapTo = "prasu_steeringwheel";
	diffuseMap[0] = "prasu_steeringwheel_d.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_axle_u_txt)
{
    mapTo = "R_axle_u_txt";
	diffuseMap[0] = "R_axle_u.png";
    specularMap[0] = "R_axle_s.png";
    normalMap[0] = "R_axle_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_axle_txt)
{
    mapTo = "R_axle_txt";
	diffuseMap[0] = "R_axle.png";
    specularMap[0] = "R_axle_s.png";
    normalMap[0] = "R_axle_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(engine_txt)
{
    mapTo = "engine_txt";
	diffuseMap[0] = "full_texture_nobrand.png";
    specularMap[0] = "full_texture_s.png";
    //normalMap[0] = "full_texture_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(engine_u_txt)
{
    mapTo = "engine_u_txt";
	diffuseMap[0] = "full_texture_u_nobrand.png";
    specularMap[0] = "full_texture_s.png";
    //normalMap[0] = "full_texture_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(handbrake_TXT)
{
    mapTo = "handbrake_TXT";
	diffuseMap[0] = "handbrake.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(Hydro_brake_TXT)
{
    mapTo = "Hydro_brake_TXT";
	diffuseMap[0] = "Hydro_brake.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(F_seat_TXT)
{
    mapTo = "F_seat_TXT";
	diffuseMap[0] = "F_seat.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(F_seat_u_TXT)
{
    mapTo = "F_seat_u_TXT";
	diffuseMap[0] = "F_seat_u.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(shifter_2_TXT)
{
    mapTo = "shifter_2_TXT";
	diffuseMap[0] = "shifter.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(shifter_TXT)
{
    mapTo = "shifter_TXT";
	diffuseMap[0] = "shifter_2.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(F1_mirror_txt)
{
    mapTo = "F1_mirror_txt";
	diffuseMap[0] = "F1_mirror.png";
    //specularMap[0] = "F1_mirror_s.png";
    //normalMap[0] = "F1_mirror_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(exhausts_stock_txt)
{
    mapTo = "exhausts_stock_txt";
	diffuseMap[0] = "ex_pipe.png";
    specularMap[0] = "ex_pipe_s.png";
    normalMap[0] = "ex_pipe_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(exhausts_stock_u_txt)
{
    mapTo = "exhausts_stock_u_txt";
	diffuseMap[0] = "ex_pipe_u.png";
    specularMap[0] = "ex_pipe_s.png";
    normalMap[0] = "ex_pipe_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(Driveshaft_txt)
{
    mapTo = "Driveshaft_txt";
	diffuseMap[0] = "Driveshaft.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(Driveshaft_u_txt)
{
    mapTo = "Driveshaft_u_txt";
	diffuseMap[0] = "Driveshaft_u.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(grille_TXT)
{
    mapTo = "grille_TXT";
	diffuseMap[0] = "grille.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(grille_2_txt)
{
    mapTo = "grille_2_txt";
	diffuseMap[0] = "grille_2.png";
    //specularMap[0] = "grille_2.png";
    //normalMap[0] = "grille_2.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "1";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(exhausts_txt)
{
    mapTo = "exhausts_txt";
	diffuseMap[0] = "Greddy_ex_pipe.png";
    specularMap[0] = "Greddy_ex_pipe_s.png";
    normalMap[0] = "Greddy_ex_pipe_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "0";
};

singleton Material(R_stab_txt)
{
    mapTo = "R_stab_txt";
	diffuseMap[0] = "R_stab.png";
    specularMap[0] = "R_stab_s.png";
    normalMap[0] = "R_stab_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(F_stab_txt)
{
    mapTo = "F_stab_txt";
	diffuseMap[0] = "F_stab.png";
    specularMap[0] = "F_stab_s.png";
    normalMap[0] = "F_stab_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_brake_txt)
{
    mapTo = "R_brake_txt";
	diffuseMap[0] = "R_brake.png";
    specularMap[0] = "R_brake_s.png";
    normalMap[0] = "R_brake_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(F_brake_txt)
{
    mapTo = "F_brake_txt";
	diffuseMap[0] = "F_brake.png";
    //specularMap[0] = "R_brake_s.png";
    //normalMap[0] = "R_brake_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(F_brake_2_txt)
{
    mapTo = "F_brake_2_txt";
	diffuseMap[0] = "AP_6_sd_brake.png";
    //specularMap[0] = "R_brake_s.png";
    //normalMap[0] = "R_brake_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_brake_u_txt)
{
    mapTo = "R_brake_u_txt";
	diffuseMap[0] = "R_brake_u.png";
    specularMap[0] = "R_brake_s.png";
    normalMap[0] = "R_brake_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(F_brake_u_txt)
{
    mapTo = "F_brake_u_txt";
	diffuseMap[0] = "F_brake_u.png";
    //specularMap[0] = "R_brake_s.png";
    //normalMap[0] = "R_brake_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_sub_frmae_txt)
{
    mapTo = "R_sub_frmae_txt";
	diffuseMap[0] = "R_sub_frmae.png";
    specularMap[0] = "R_sub_frmae_s.png";
    normalMap[0] = "R_sub_frmae_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_sub_frmae_u_txt)
{
    mapTo = "R_sub_frmae_u_txt";
	diffuseMap[0] = "R_sub_frmae_u.png";
    specularMap[0] = "R_sub_frmae_s.png";
    normalMap[0] = "R_sub_frmae_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_susp_txt)
{
    mapTo = "R_susp_txt";
	diffuseMap[0] = "R_susp.png";
    specularMap[0] = "R_susp_s.png";
    normalMap[0] = "R_susp_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_susp_u_txt)
{
    mapTo = "R_susp_u_txt";
	diffuseMap[0] = "R_susp_u.png";
    //specularMap[0] = "R_susp_s.png";
    //normalMap[0] = "R_susp_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(F_susp_u_txt)
{
    mapTo = "F_susp_u_txt";
	diffuseMap[0] = "F_susp_u.png";
    //specularMap[0] = "F_susp_s.png";
    //normalMap[0] = "F_susp_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(carbon_TXT)
{
    mapTo = "carbon_TXT";
	diffuseMap[0] = "carbon.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(rollcage_detail_TXT)
{
    mapTo = "rollcage_detail_TXT";
	diffuseMap[0] = "MFS_cage_detail.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(rc_rust_TXT)
{
    mapTo = "rc_rust_TXT";
	diffuseMap[0] = "RUST_Base_Color_2k.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(F_susp_txt)
{
    mapTo = "F_susp_txt";
	diffuseMap[0] = "F_susp.png";
    specularMap[0] = "F_susp_s.png";
    normalMap[0] = "F_susp_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(carpet_txt)
{
    mapTo = "carpet_txt";
	diffuseMap[0] = "carpet.png";
    normalMap[0] = "carpet_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(door_int_2)
{
    mapTo = "door_int_2";
	diffuseMap[0] = "carpet2.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(door_int)
{
    mapTo = "door_int";
	diffuseMap[0] = "carpet2c.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(door_int_s)
{
    mapTo = "door_int_s";
	diffuseMap[0] = "carpet3.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(door_int_2_u)
{
    mapTo = "door_int_2_u";
	diffuseMap[0] = "carpet2_u.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(door_int_u)
{
    mapTo = "door_int_u";
	diffuseMap[0] = "carpet2c_u.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_seats_txt)
{
    mapTo = "R_seats_txt";
	diffuseMap[0] = "R_seats.png";
    specularMap[0] = "R_seats_s.png";
    normalMap[0] = "R_seats_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_seats_u_txt)
{
    mapTo = "R_seats_u_txt";
	diffuseMap[0] = "R_seats_u.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};
/*
singleton Material(Sparco_TXT)
{
    mapTo = "Sparco_TXT";
	diffuseMap[0] = "Sparco_pista.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(4_point_belt_TXT)
{
    mapTo = "4_point_belt_TXT";
	diffuseMap[0] = "Sparco_4point_belts.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(bride_TXT)
{
    mapTo = "bride_TXT";
	diffuseMap[0] = "BRIDE_Z3_seat.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};
*/
singleton Material(chassis_underbody_txt)
{
    mapTo = "chassis_underbody_txt";
	diffuseMap[0] = "chassis_underbody.png";
    normalMap[0] = "chassis_underbody_n.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(chassis_dash_txt)
{
    mapTo = "chassis_dash_txt";
	diffuseMap[0] = "chassis_dash.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(chassis_detail_txt)
{
    mapTo = "chassis_detail_txt";
	diffuseMap[0] = "chassis_detail.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(chassis_fuel_tank_txt)
{
    mapTo = "chassis_fuel_tank_txt";
	diffuseMap[0] = "chassis_fuel_tank.png";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    doubleSided = "0";
    translucentZWrite = "1";
};

singleton Material(R_windshield_txt)
{
    mapTo = "R_windshield_txt";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "R_windshield.png";
    opacityMap[0] = "R_windshield.png";
    diffuseMap[1] = "R_windshield_da.png";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(R_windshield_int_txt)
{
    mapTo = "R_windshield_int_txt";
    diffuseMap[0] = "R_windshield.png";
    opacityMap[0] = "R_windshield.png";
    diffuseMap[1] = "R_windshield_da.png";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(R_windshield_txt_dmg)
{
    mapTo = "R_windshield_txt_dmg";
    diffuseMap[0] = "R_windshield_dmg.png";
    opacityMap[0] = "R_windshield_dmg.png";
    //specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    //normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "R_windshield_dmg.png";
    //specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    //normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe)
{
    mapTo = "coupe";
    diffuseMap[2] = "vehicles/coupe/coupe_c.dds";
    specularMap[2] = "vehicles/coupe/coupe_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etki)
{
   mapTo = "etki";
    diffuseMap[2] = "vehicles/etki/etki_c.dds";
    specularMap[2] = "vehicles/etki/etki_s.dds";
    normalMap[2] = "vehicles/etki/etki_n.png";
    diffuseMap[1] = "vehicles/etki/etki_d.dds";
    specularMap[1] = "vehicles/etki/etki_s.dds";
    normalMap[1] = "vehicles/etki/etki_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/etki/etki_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_overfender)
{
    mapTo = "prasu_overfender";
    diffuseMap[2] = "vehicles/coupe/overfender_c.dds";
    specularMap[2] = "vehicles/coupe/overfender_s.dds";
    normalMap[2] = "vehicles/coupe/overfender_n.dds";
    diffuseMap[1] = "vehicles/coupe/overfender_d.dds";
    specularMap[1] = "vehicles/coupe/overfender_s.dds";
    normalMap[1] = "vehicles/coupe/overfender_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/overfender_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_carbonfibre)
{
    mapTo = "prasu_carbonfibre";
    detailMap[2] = "vehicles/common/carbonfibre.dds";
    diffuseMap[1] = "vehicles/common/carbonfibre_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "0.7 0.7 0.7 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
	detailScale[2] = 40;
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material(coupe_interior)
{
    mapTo = "coupe_interior";
    normalMap[0] = "vehicles/coupe/coupe_interior_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_interior_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_seats)
{
    mapTo = "prasu_seats";
    normalMap[0] = "vehicles/coupe/coupe_seats_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_seats_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_GTwing)
{
    mapTo = "coupe_GTwing";
    normalMap[0] = "vehicles/coupe/coupe_GTwing_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_GTwing_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_GTwing_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_gauges)
{
    mapTo = "coupe_gauges";
    diffuseMap[0] = "vehicles/coupe/coupe_gauges_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(coupe_gauges_on)
{
    mapTo = "coupe_gauges_on";
    diffuseMap[1] = "vehicles/coupe/coupe_gauges_g.dds";
    specularMap[1] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_gauges_n.dds";
    diffuseMap[0] = "vehicles/coupe/coupe_gauges_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_gauges_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_gauges_n.dds";
    specularPower[0] = "64";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "0.5 1.7 1.2 1";
};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(supra_lettering)
{
    mapTo = "supra_lettering";
    //specularMap[0] = "lettering.png";
    //normalMap[0] = "lettering.png";
    diffuseMap[0] = "lettering_fictional.png";
    //reflectivityMap[0] = "lettering.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(taillight_txt)
{
    mapTo = "taillight_txt";
    diffuseMap[1] = "taillight.png";
    //specularMap[1] = "trunk_light_s.png";
    //normalMap[1] = "trunk_light_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "trunk_light_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(taillight_txt_on)
{
    mapTo = "taillight_txt_on";
    diffuseMap[2] = "taillight_on.png";
    //specularMap[2] = "trunk_light_lit_s.png";
    //normalMap[2] = "trunk_light_lit_n.png";
    diffuseMap[1] = "taillight_on.png";
    //specularMap[1] = "trunk_light_lit_s.png";
    //normalMap[1] = "trunk_light_lit_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "trunk_light_lit_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(taillight_txt_dmg)
{
    mapTo = "taillight_txt_dmg";
    diffuseMap[2] = "taillight_dmg.png";
    //specularMap[2] = "trunk_light_lit_s.png";
    //normalMap[2] = "trunk_light_lit_n.png";
    diffuseMap[1] = "taillight_dmg.png";
    //specularMap[1] = "trunk_light_lit_s.png";
    //normalMap[1] = "trunk_light_lit_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "trunk_light_lit_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tailgate_lights)
{
    mapTo = "tailgate_lights";
    diffuseMap[1] = "trunk_light.png";
    specularMap[1] = "trunk_light_s.png";
    normalMap[1] = "trunk_light_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "trunk_light_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tailgate_lights_on)
{
    mapTo = "tailgate_lights_on";
    diffuseMap[2] = "trunk_light_lit.png";
    specularMap[2] = "trunk_light_lit_s.png";
    normalMap[2] = "trunk_light_lit_n.png";
    diffuseMap[1] = "trunk_light_lit.png";
    specularMap[1] = "trunk_light_lit_s.png";
    normalMap[1] = "trunk_light_lit_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "trunk_light_lit_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(tailgate_lights_dmg)
{
    mapTo = "tailgate_lights_dmg";
    diffuseMap[1] = "trunk_light_broken.png";
    specularMap[1] = "trunk_light_broken_s.png";
    normalMap[1] = "trunk_light_broken_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "trunk_light_broken_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(turn_light_TXT)
{
    mapTo = "turn_light_TXT";
    diffuseMap[1] = "turn_light.png";
    //specularMap[1] = "trunk_light_s.png";
    //normalMap[1] = "trunk_light_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "trunk_light_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(turn_light_TXT_on)
{
    mapTo = "turn_light_TXT_on";
    diffuseMap[2] = "turn_light_on.png";
    //specularMap[2] = "trunk_light_lit_s.png";
    //normalMap[2] = "trunk_light_lit_n.png";
    diffuseMap[1] = "turn_light_on.png";
    //specularMap[1] = "trunk_light_lit_s.png";
    //normalMap[1] = "trunk_light_lit_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "trunk_light_lit_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(turn_light_TXT_dmg)
{
    mapTo = "turn_light_TXT_dmg";
    diffuseMap[1] = "turn_light_dmg.png";
    //specularMap[1] = "trunk_light_broken_s.png";
    //normalMap[1] = "trunk_light_broken_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    //normalMap[0] = "trunk_light_broken_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_lights)
{
    mapTo = "prasu_lights";
    diffuseMap[1] = "vehicles/coupe/coupe_lights_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_lights_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_lights_on)
{
    mapTo = "prasu_lights_on";
    diffuseMap[2] = "vehicles/coupe/coupe_lights_g.dds";
    specularMap[2] = "vehicles/coupe/coupe_lights_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_lights_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_lights_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_lights_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_lights_on_intense)
{
    mapTo = "prasu_lights_on_intense";
    diffuseMap[2] = "vehicles/coupe/coupe_lights_g.dds";
    specularMap[2] = "vehicles/coupe/coupe_lights_s.dds";
    normalMap[2] = "vehicles/coupe/coupe_lights_n.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_lights_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_lights_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.25";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_lights_dmg)
{
    mapTo = "prasu_lights_dmg";
    diffuseMap[1] = "vehicles/coupe/coupe_lights_dmg_d.dds";
    specularMap[1] = "vehicles/coupe/coupe_lights_dmg_s.dds";
    normalMap[1] = "vehicles/coupe/coupe_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/coupe/coupe_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_headlightlens)
{
    mapTo = "prasu_headlightlens";
    diffuseMap[0] = "vehicles/coupe/coupe_lights_d.dds";
    normalMap[0] = "vehicles/coupe/coupe_lights_n.dds";
    specularMap[0] = "vehicles/coupe/coupe_lights_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "1";
    alphaRef = "40";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_headlightlens_on)
{
    mapTo = "prasu_headlightlens_on";
    diffuseMap[0] = "vehicles/coupe/coupe_lights_d.dds";
    normalMap[0] = "vehicles/coupe/coupe_lights_n.dds";
    specularMap[0] = "vehicles/coupe/coupe_lights_s.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_lights_g.dds";
    normalMap[1] = "vehicles/coupe/coupe_lights_n.dds";
    specularMap[1] = "vehicles/coupe/coupe_lights_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    emissive[0] = "1";
    emissive[1] = "1";
    castShadows = "0";
    translucent = "1";
	translucentBlendOp = "addAlpha";
    alphaTest = "1";
    alphaRef = "40";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_headlightlens_dmg)
{
    mapTo = "prasu_headlightlens_dmg";
    diffuseMap[0] = "vehicles/coupe/coupe_lights_dmg_d.dds";
    normalMap[0] = "vehicles/coupe/coupe_lights_dmg_n.dds";
    specularMap[0] = "vehicles/coupe/coupe_lights_dmg_s.dds";
    diffuseMap[1] = "vehicles/coupe/coupe_lights_dmg_d.dds";
    normalMap[1] = "vehicles/coupe/coupe_lights_dmg_n.dds";
    specularMap[1] = "vehicles/coupe/coupe_lights_dmg_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "1";
    alphaRef = "40";
    cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(prasu_reverselight)
{
    mapTo = "prasu_reverselight";
};

singleton Material(prasu_signal_R)
{
    mapTo = "prasu_signal_R";
};

singleton Material(prasu_signal_L)
{
    mapTo = "prasu_signal_L";
};

singleton Material(signal_RL)
{
    mapTo = "signal_RL";
};

singleton Material(signal_RR)
{
    mapTo = "signal_RR";
};

singleton Material(prasu_taillight_R)
{
    mapTo = "prasu_taillight_R";
};

singleton Material(prasu_taillight_L)
{
    mapTo = "prasu_taillight_L";
};

singleton Material(prasu_headlight)
{
    mapTo = "prasu_headlight";
};

singleton Material(prasu_chmsl)
{
    mapTo = "prasu_chmsl";
};

singleton Material(prasu_trunklight)
{
    mapTo = "prasu_trunklight";
};

singleton Material(turn_light_RL)
{
    mapTo = "turn_light_RL";
};

singleton Material(turn_light_RR)
{
    mapTo = "turn_light_RR";
};

singleton Material(turn_light_FL)
{
    mapTo = "turn_light_FL";
};

singleton Material(turn_light_FR)
{
    mapTo = "turn_light_FR";
};
